<%@ Page EnableViewState="false" Language="C#" %>
    
<script runat="server">
    
    //       
    MembershipUserCollection myUsers = new MembershipUserCollection();
    
    protected void Page_Load(object sender, EventArgs e)
    {
        //   
        tableDetails.Visible = false;
        lblUser.Visible = false;
    
        if (checkUser.Checked)
        {
            //   
            if (txtUser.Text.Length == 0)
            {
                lblUsersList.Text = "  ";
                return;
            }
    
            try // 
            {
                string user = Server.HtmlEncode(txtUser.Text);
                myUsers = new MembershipUserCollection();
                myUsers.Add(Membership.GetUser(user));
            }
            catch // 
            {
                lblUsersList.Text = "  ";
                return;
            }
        }
        else
        {
            //   
            myUsers = Membership.GetAllUsers();
        }
    
        //        
        UsersGridView.DataSource = myUsers;
        UsersGridView.DataBind();
    }
    
    //       
    protected void UsersGridView_SelectedIndexChanged(object sender, EventArgs e)
    {
        if (UsersGridView.SelectedIndex >= 0)
        {
            //     ,
            //       ,
            //   DataKeyNames="UserName"  GridView 
            MembershipUser currentUser = 
                myUsers[(string)UsersGridView.SelectedValue];
            lblUserName.Text = currentUser.UserName;
            lblPassword.Text = currentUser.GetPassword();
            lblEmail.Text = currentUser.Email;
            lblPasswordQuestion.Text = currentUser.PasswordQuestion;
            lblLastLoginDate.Text = currentUser.LastLoginDate.ToLongDateString();
            txtComment.Text = currentUser.Comment;
            checkIsApproved.Checked = currentUser.IsApproved;
            checkIsLockedOut.Checked = currentUser.IsLockedOut;
            
            //    
            tableDetails.Visible = true;
            lblUser.Visible = true;
        }
    }
</script>
    
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <h2>
                <asp:Label ID="lblUsersList" runat="server" Font-Bold="true" Text="  "></asp:Label>
            </h2>
            <p>
                 :
                <asp:CheckBox ID="checkUser" runat="server" />
                <asp:TextBox ID="txtUser" runat="server"></asp:TextBox>
                <asp:Button ID="btnUser" runat="server" Text="" /></p>
            <asp:GridView ID="UsersGridView" runat="server" AutoGenerateColumns="False" DataKeyNames="UserName"
                OnSelectedIndexChanged="UsersGridView_SelectedIndexChanged">
                <Columns>
                    <asp:BoundField DataField="UserName" HeaderText="" />
                    <asp:BoundField DataField="Email" HeaderText="email" />
                    <asp:BoundField DataField="CreationDate" HeaderText="" />
                    <asp:CommandField HeaderText="" SelectText="" ShowSelectButton="True" />
                </Columns>
            </asp:GridView>
            <h2>
                <asp:Label ID="lblUser" runat="server" Font-Bold="true" Text="   "
                    Visible="False"></asp:Label>
            </h2>
            <table id="tableDetails" runat="server" border="1" bordercolor="#0000FF" width="100%">
                <tr>
                    <td width="50%">
                        :</td>
                    <td>
                        <asp:Label ID="lblUserName" runat="server"></asp:Label></td>
                </tr>
                <tr>
                    <td width="50%">
                        :</td>
                    <td>
                        <asp:Label ID="lblPassword" runat="server"></asp:Label></td>
                </tr>
                <tr>
                    <td width="50%">
                        email:</td>
                    <td>
                        <asp:Label ID="lblEmail" runat="server"></asp:Label></td>
                </tr>
                <tr>
                    <td width="50%">
                         :</td>
                    <td>
                        <asp:Label ID="lblPasswordQuestion" runat="server"></asp:Label></td>
                </tr>
                <tr>
                    <td width="50%">
                          :</td>
                    <td>
                        <asp:Label ID="lblLastLoginDate" runat="server"></asp:Label></td>
                </tr>
                <tr>
                    <td valign="top" width="50%">
                        :</td>
                    <td>
                        <asp:TextBox ID="txtComment" runat="server" TextMode="MultiLine" Width="100%"></asp:TextBox></td>
                </tr>
                <tr>
                    <td width="50%">
                        :</td>
                    <td>
                        <asp:CheckBox ID="checkIsApproved" runat="server" /></td>
                </tr>
                <tr>
                    <td width="50%">
                        :</td>
                    <td>
                        <asp:CheckBox ID="checkIsLockedOut" runat="server" /></td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>
