<%@ Page Language="C#" %>
    
<%@ Import Namespace="System.Web.Configuration" %>
    
<script runat="server">
    
    protected void btnHashedPwd_Click(object sender, EventArgs e)
    {
        //    Web.config
        Configuration myConfig = System.Web.Configuration.
            WebConfigurationManager.OpenWebConfiguration("~/");
        
        //    system.web
        ConfigurationSectionGroup systemWeb = myConfig.SectionGroups["system.web"];
        
        //    authentication 
        AuthenticationSection authSec =
            (AuthenticationSection)
            systemWeb.Sections["authentication"];
        
        //   passwordFormat, ,     MD5
        authSec.Forms.Credentials.PasswordFormat = FormsAuthPasswordFormat.MD5;
        
        //    Users     
        int count = authSec.Forms.Credentials.Users.Count;
        string[] name = new string[count];
        string[] clearTextPwd = new string[count];
        int i = 0;
        foreach (FormsAuthenticationUser user in authSec.Forms.Credentials.Users)
        {
            name[i] = user.Name;
            clearTextPwd[i] = user.Password;
            i++;
        }
        
        //   Users 
        authSec.Forms.Credentials.Users.Clear();
        
        //       
        for (i = 0; i < count; i++)
        {
            //   
            string hashedPwd = FormsAuthentication.
                HashPasswordForStoringInConfigFile(clearTextPwd[i], "MD5");
            //    Users
            authSec.Forms.Credentials.Users.Add(
                new FormsAuthenticationUser(name[i], hashedPwd));
        }
        
        //   Web.config 
        myConfig.Save();
        
        //   
        lblHashResult.Text = " .<br />"
            + "   -    !!!";
    }
</script>
    
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div style="text-align: center">
            <h1>
                     Web.config</h1>
            <p>
                <asp:Button ID="btnHashedPwd" runat="server" 
                            OnClick="btnHashedPwd_Click" Text="" /></p>
            <p>
                <asp:Label ID="lblHashResult" runat="server"></asp:Label></p>
        </div>
    </form>
</body>
</html>
