<%@ Page Language="C#" %>
    
<%@ Import Namespace="System.Web.Configuration" %>
    
<script runat="server">
    
    protected void btnAddUsers_Click(object sender, EventArgs e)
    {
        //      
        string[,] authUsers = {
                                {"user1", "password1"},
                                {"user2", "password2"},
                                {"user3", "password3"}
                              };
        
        //    Web.config
        Configuration myConfig = System.Web.Configuration.
            WebConfigurationManager.OpenWebConfiguration("~/");
        
        //    system.web
        ConfigurationSectionGroup systemWeb = myConfig.SectionGroups["system.web"];
        
        //    authentication 
        System.Web.Configuration.AuthenticationSection authSec =
            (System.Web.Configuration.AuthenticationSection)
            systemWeb.Sections["authentication"];
        
        //   passwordFormat (Clear, MD5, SHA1) 
        authSec.Forms.Credentials.PasswordFormat = System.Web.Configuration.FormsAuthPasswordFormat.Clear;
        
        //   
        for (int i = 0; i < authUsers.Length / 2; i++)
            authSec.Forms.Credentials.Users.Add(new System.Web.Configuration.FormsAuthenticationUser(
                authUsers[i, 0], authUsers[i, 1]));
        
        //   Web.config 
        myConfig.Save();
    
        //   
        lblUsersResult.Text = "  !!!";
    }
</script>
    
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <div style="text-align: center">
            <h1>
                      Web.config</h1>
            <p>
                <asp:Button ID="btnAddUsers" runat="server" OnClick="btnAddUsers_Click" Text="" /></p>
            <p>
                <asp:Label ID="lblUsersResult" runat="server"></asp:Label></p>
        </div>
    </form>
</body>
</html>
